Skip to content

Returns a list of records with the specified owner

Request

Returns a list of records with the specified owner

Security
knox-authorizer
Path
tenantIdstringrequired

The tenant

ownerTypestringrequired

The type of owner

Enum:"contact""organization"
ownerIdstringrequired

The ID of the owner

Query
fieldsstring

The fields that you want to retrieve; if omitted, the entire object is returned

exclusiveStartKeystring

If paging, this allows you to return the next set of results

includeAllPaymentsboolean

If set, all payments are returned regardless of balance

curl -i -X GET \
  'https://docs.api.rhythmsoftware.com/_mock/apis/collect/collect-v1/payments/{tenantId}/owner/{ownerType}/{ownerId}?fields=string&exclusiveStartKey=string&includeAllPayments=true' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The records were retrieved successfully

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
Countinteger
ItemsArray of objects(Payment)
LastEvaluatedKeystring
Response
{ "Count": 0, "Items": [ { … } ], "LastEvaluatedKey": "string" }